---
title: "TextareaInput"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/textarea-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

A component for displaying a textarea input.

```ts title="Signature"
function TextareaInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly<<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>>`} />

